org.apache.cayenne.map

## Interface EntitySorter

- All Known Implementing Classes:
    AshwoodEntitySorter, AshwoodEntitySorter

      public interface EntitySorter

  Defines API for sorting of Cayenne entities based on their mutual dependencies.
  Since:
    1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDataMaps(Collection<DataMap> dataMaps)` Deprecated. since 3.1 `setEntityResolver(EntityResolver)` is used, and this method is never called.
    `void` | `setEntityResolver(EntityResolver resolver)` Sets EntityResolver for this sorter.
    `void` | `sortDbEntities(List<DbEntity> dbEntities, boolean deleteOrder)` Sorts a list of DbEntities.
    `void` | `sortObjectsForEntity(ObjEntity entity, List<?> objects, boolean deleteOrder)` Sorts a list of objects belonging to the ObjEntity.
    `void` | `sortObjEntities(List<ObjEntity> objEntities, boolean deleteOrder)` Sorts a list of ObjEntities.

- - ### Method Detail

    - #### setDataMaps

          @Deprecated
          void setDataMaps(Collection<DataMap> dataMaps)

      Deprecated. since 3.1 `setEntityResolver(EntityResolver)` is used, and this method is never called.
      Initializes a list of DataMaps used by the sorter.

    - #### setEntityResolver

          void setEntityResolver(EntityResolver resolver)

      Sets EntityResolver for this sorter. All entities present in the resolver will be used to determine sort ordering.
      Since:
        3.1

    - #### sortDbEntities

          void sortDbEntities(List<DbEntity> dbEntities,
                              boolean deleteOrder)

      Sorts a list of DbEntities.

    - #### sortObjEntities

          void sortObjEntities(List<ObjEntity> objEntities,
                               boolean deleteOrder)

      Sorts a list of ObjEntities.

    - #### sortObjectsForEntity

          void sortObjectsForEntity(ObjEntity entity,
                                    List<?> objects,
                                    boolean deleteOrder)

      Sorts a list of objects belonging to the ObjEntity.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.